SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Zope Vendors:   Zope
(Debian Issues Fix) Zope Web Application Server ZCatalog Index Access Control Bug Discloses Files to Remote Users
SecurityTracker Alert ID:  1009841
SecurityTracker URL:  http://securitytracker.com/id/1009841
CVE Reference:   CVE-2002-0688   (Links to External Site)
Date:  Apr 17 2004
Impact:   Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 2.4.0 through 2.5.1; or any version with ZCatalog plug-in index support installed
Description:   A vulnerability was reported in the Zope web application server software. A remote user can bypass certain access control restrictions.

It is reported that a flaw in the security settings of ZCatalog allows a remote user (or untrusted code) to call arbitrary methods of catalog indexes.

Impact:   A remote user can call arbitrary methods of catalog indexes to view information on the server.
Solution:   Debian has released a fix for the stable distribution (woody) in version 2.5.1-1woody1 and for the unstable distribution (sid) in version 2.6.0-0.1 and higher.

Debian GNU/Linux 3.0 alias woody:

Source archives:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1.dsc
Size/MD5 checksum: 684 bae9669b048bb73ff0fb4de1cba378d4
http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1.diff.gz
Size/MD5 checksum: 88172 d8461358bc98af430ed32dd89a45dbcb
http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1.orig.tar.gz
Size/MD5 checksum: 2165141 65d502b2acf986693576decad6b837cf

Alpha architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_alpha.deb
Size/MD5 checksum: 2236994 a0eb7df5046ae357d760d18ef8a2619e

ARM architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_arm.deb
Size/MD5 checksum: 2148088 dba70d7c78d850557783603038bc9947

Intel IA-32 architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_i386.deb
Size/MD5 checksum: 2130316 5172bd775bcd0ae107242525cf67b443

Intel IA-64 architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_ia64.deb
Size/MD5 checksum: 2388054 51c1ad0503162c4f0e152f233a45b3ca

HP Precision architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_hppa.deb
Size/MD5 checksum: 2240312 bbac2d795c157069d27e63ffaf0f3b5c

Motorola 680x0 architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_m68k.deb
Size/MD5 checksum: 2133690 1662a0ece415a56d4e25ad6f31576b9f

Big endian MIPS architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_mips.deb
Size/MD5 checksum: 2172370 5f127d8ac54046e75c6ab9bbfe9224c1

Little endian MIPS architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_mipsel.deb
Size/MD5 checksum: 2170856 f57b6a66116df5b30f499f5e4cdab6aa

PowerPC architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_powerpc.deb
Size/MD5 checksum: 2168352 2b66d671fe1cb86a84df066902c503d0

IBM S/390 architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_s390.deb
Size/MD5 checksum: 2153234 97df94cbfc71001ce67d6f02e6dde798

Sun Sparc architecture:

http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_sparc.deb
Size/MD5 checksum: 2212970 5a660d1befe3b8ba2be26439eb1d1b21

Vendor URL:  www.zope.org/Products/Zope/Hotfix_2002-06-14/security_alert (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Debian)
Underlying OS Comments:  3.0

Message History:   This archive entry is a follow-up to the message listed below.
Sep 27 2002 Zope Web Application Server ZCatalog Index Access Control Bug Discloses Files to Remote Users



 Source Message Contents

Subject:  [SECURITY] [DSA 490-1] New Zope packages fix arbitrary code execution


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 490-1                     security@debian.org
http://www.debian.org/security/                             Martin Schulze
April 17th, 2004                        http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : zope
Vulnerability  : arbitrary code execution
Problem-Type   : remote
Debian-specific: no
CVE ID         : CVE-2002-0688

A vulnerability has been discovered in the index support of the
ZCatalog plug-in in Zope, an open source web application server.  A
flaw in the security settings of ZCatalog allows anonymous users to
call arbitrary methods of catalog indexes.  The vulnerability also
allows untrusted code to do the same.

For the stable distribution (woody) this problem has been fixed in
version 2.5.1-1woody1.

For the unstable distribution (sid) this problem has been fixed in
version 2.6.0-0.1 and higher.

We recommend that you upgrade your zope package.


Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1.dsc
      Size/MD5 checksum:      684 bae9669b048bb73ff0fb4de1cba378d4
    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1.diff.gz
      Size/MD5 checksum:    88172 d8461358bc98af430ed32dd89a45dbcb
    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1.orig.tar.gz
      Size/MD5 checksum:  2165141 65d502b2acf986693576decad6b837cf

  Alpha architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_alpha.deb
      Size/MD5 checksum:  2236994 a0eb7df5046ae357d760d18ef8a2619e

  ARM architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_arm.deb
      Size/MD5 checksum:  2148088 dba70d7c78d850557783603038bc9947

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_i386.deb
      Size/MD5 checksum:  2130316 5172bd775bcd0ae107242525cf67b443

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_ia64.deb
      Size/MD5 checksum:  2388054 51c1ad0503162c4f0e152f233a45b3ca

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_hppa.deb
      Size/MD5 checksum:  2240312 bbac2d795c157069d27e63ffaf0f3b5c

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_m68k.deb
      Size/MD5 checksum:  2133690 1662a0ece415a56d4e25ad6f31576b9f

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_mips.deb
      Size/MD5 checksum:  2172370 5f127d8ac54046e75c6ab9bbfe9224c1

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_mipsel.deb
      Size/MD5 checksum:  2170856 f57b6a66116df5b30f499f5e4cdab6aa

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_powerpc.deb
      Size/MD5 checksum:  2168352 2b66d671fe1cb86a84df066902c503d0

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_s390.deb
      Size/MD5 checksum:  2153234 97df94cbfc71001ce67d6f02e6dde798

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/z/zope/zope_2.5.1-1woody1_sparc.deb
      Size/MD5 checksum:  2212970 5a660d1befe3b8ba2be26439eb1d1b21


  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAgVBNW5ql+IAeqTIRAnVYAJ9ciliJJ/IMptXuXfIbKODbhLE4rQCbBxXs
n9NTb0/x1L86sF7AskHHS+Q=
=xkMT
-----END PGP SIGNATURE-----


-- 
To UNSUBSCRIBE, email to debian-security-announce-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC